Index: /branches/3040_VectorBasedGP/HeuristicLab 3.3.sln
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab 3.3.sln	(revision 17468)
+++ /branches/3040_VectorBasedGP/HeuristicLab 3.3.sln	(revision 17469)
@@ -50,5 +50,4 @@
 		{F98A1740-9AC9-4D36-A582-6A2D0D06978D} = {F98A1740-9AC9-4D36-A582-6A2D0D06978D}
 		{B03C4E41-1D01-4C60-B0F4-DBB257D98CA8} = {B03C4E41-1D01-4C60-B0F4-DBB257D98CA8}
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032} = {D1D69043-17E6-4B8C-BF41-0799C7E56032}
 		{73F29D43-5714-4069-8FAB-0D18FEB5F175} = {73F29D43-5714-4069-8FAB-0D18FEB5F175}
 		{3E9E8944-44FF-40BB-A622-3A4A7DD0F198} = {3E9E8944-44FF-40BB-A622-3A4A7DD0F198}
@@ -87,5 +86,4 @@
 		{9D792B6D-836B-46DC-9D69-50B4B1E7B87F} = {9D792B6D-836B-46DC-9D69-50B4B1E7B87F}
 		{399EBB6E-37A1-4AE4-B8CD-0D461FF286A3} = {399EBB6E-37A1-4AE4-B8CD-0D461FF286A3}
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909} = {FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}
 		{3C906172-E044-4DF0-B4FD-AA21192D5D3E} = {3C906172-E044-4DF0-B4FD-AA21192D5D3E}
 		{DC3D7072-7999-4719-B65D-3997744D5DC1} = {DC3D7072-7999-4719-B65D-3997744D5DC1}
@@ -465,8 +463,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.MOCMAEvolutionStrategy-3.3", "HeuristicLab.Algorithms.MOCMAEvolutionStrategy\3.3\HeuristicLab.Algorithms.MOCMAEvolutionStrategy-3.3.csproj", "{0E2E224F-E9B2-41F3-B510-09183EEBA2AF}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ExactOptimization-3.3", "HeuristicLab.ExactOptimization\3.3\HeuristicLab.ExactOptimization-3.3.csproj", "{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ExactOptimization.Views-3.3", "HeuristicLab.ExactOptimization.Views\3.3\HeuristicLab.ExactOptimization.Views-3.3.csproj", "{D1D69043-17E6-4B8C-BF41-0799C7E56032}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.DataAnalysis.DecisionTrees-3.4", "HeuristicLab.Algorithms.DataAnalysis.DecisionTrees\3.4\HeuristicLab.Algorithms.DataAnalysis.DecisionTrees-3.4.csproj", "{541A53F3-E6A7-402F-91BB-D76041CDD9FD}"
@@ -2258,24 +2252,4 @@
 		{0E2E224F-E9B2-41F3-B510-09183EEBA2AF}.Release|x86.ActiveCfg = Release|x86
 		{0E2E224F-E9B2-41F3-B510-09183EEBA2AF}.Release|x86.Build.0 = Release|x86
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Debug|x64.ActiveCfg = Debug|x64
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Debug|x64.Build.0 = Debug|x64
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Release|Any CPU.Build.0 = Release|Any CPU
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Release|x64.ActiveCfg = Release|x64
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Release|x64.Build.0 = Release|x64
-		{FA3B9270-48B7-4C77-9FEA-2A6EDE82E909}.Release|x86.ActiveCfg = Release|Any CPU
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Debug|x64.ActiveCfg = Debug|x64
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Debug|x64.Build.0 = Debug|x64
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Release|x64.ActiveCfg = Release|x64
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Release|x64.Build.0 = Release|x64
-		{D1D69043-17E6-4B8C-BF41-0799C7E56032}.Release|x86.ActiveCfg = Release|Any CPU
 		{541A53F3-E6A7-402F-91BB-D76041CDD9FD}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{541A53F3-E6A7-402F-91BB-D76041CDD9FD}.Debug|Any CPU.Build.0 = Debug|Any CPU
Index: /branches/3040_VectorBasedGP/HeuristicLab.ExactOptimization.Views/3.3/HeuristicLab.ExactOptimization.Views-3.3.csproj
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab.ExactOptimization.Views/3.3/HeuristicLab.ExactOptimization.Views-3.3.csproj	(revision 17468)
+++ /branches/3040_VectorBasedGP/HeuristicLab.ExactOptimization.Views/3.3/HeuristicLab.ExactOptimization.Views-3.3.csproj	(revision 17469)
@@ -146,9 +146,4 @@
       <Private>True</Private>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.ExactOptimization\3.3\HeuristicLab.ExactOptimization-3.3.csproj">
-      <Project>{fa3b9270-48b7-4c77-9fea-2a6ede82e909}</Project>
-      <Name>HeuristicLab.ExactOptimization-3.3</Name>
-      <Private>True</Private>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Optimization.Views\3.3\HeuristicLab.Optimization.Views-3.3.csproj">
       <Project>{662b4b15-8f4d-4ae5-b3eb-d91c215f5af2}</Project>
Index: /branches/3040_VectorBasedGP/HeuristicLab.ExtLibs.sln
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab.ExtLibs.sln	(revision 17468)
+++ /branches/3040_VectorBasedGP/HeuristicLab.ExtLibs.sln	(revision 17469)
@@ -21,6 +21,4 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoGen-2.4.1.473", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\2.4.1\ProtobufCS\src\ProtoGen\ProtoGen-2.4.1.473.csproj", "{250ADE34-82FD-4BAE-86D5-985FBE589C4A}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ProtobufCS-2.4.1.473", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\2.4.1\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-2.4.1.473.csproj", "{236459CE-80CF-4991-972F-DE74C826BCCC}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "LibSVM-3.12", "HeuristicLab.ExtLibs\HeuristicLab.LibSVM\3.12\LibSVM-3.12\LibSVM-3.12.csproj", "{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}"
 EndProject
@@ -83,9 +81,14 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ALGLIB-3.15.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.15.0\ALGLIB-3.15.0\ALGLIB-3.15.0.csproj", "{BFFE7AFD-0996-4381-BF06-5D031B3E54A8}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.OrTools-7.0.0", "HeuristicLab.ExtLibs\HeuristicLab.OrTools\7.0.0\HeuristicLab.OrTools-7.0.0\HeuristicLab.OrTools-7.0.0.csproj", "{AEC895BC-C519-49D3-9A94-6B1C71AD6671}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Protobuf", "HeuristicLab.ExtLibs\HeuristicLab.Protobuf\3.6.1\HeuristicLab.Protobuf.csproj", "{44B10478-D290-43D3-9757-C08F5292FEA5}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.MathNet.Numerics", "HeuristicLab.MathNet.Numerics\HeuristicLab.MathNet.Numerics.csproj", "{71AE8AE6-F1A5-445C-AD31-AFFC83CE2E28}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.TensorFlowNet", "HeuristicLab.TensorFlowNet\HeuristicLab.TensorFlowNet.csproj", "{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}"
+	ProjectSection(ProjectDependencies) = postProject
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3} = {99BF44AE-436E-4B30-9435-E2BA98EE6FB3}
+	EndProjectSection
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "TensorFlowNet", "TensorFlowNet\TensorFlowNet.csproj", "{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}"
 EndProject
 Global
@@ -171,16 +174,4 @@
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x86.ActiveCfg = Release|x86
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x86.Build.0 = Release|x86
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|x64.ActiveCfg = Debug|x64
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|x64.Build.0 = Debug|x64
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|x86.ActiveCfg = Debug|x86
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|x86.Build.0 = Debug|x86
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x64.ActiveCfg = Release|x64
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x64.Build.0 = Release|x64
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x86.ActiveCfg = Release|x86
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x86.Build.0 = Release|x86
 		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -539,16 +530,4 @@
 		{BFFE7AFD-0996-4381-BF06-5D031B3E54A8}.Release|x86.ActiveCfg = Release|Any CPU
 		{BFFE7AFD-0996-4381-BF06-5D031B3E54A8}.Release|x86.Build.0 = Release|Any CPU
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Debug|x64.ActiveCfg = Debug|x64
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Debug|x64.Build.0 = Debug|x64
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Debug|x86.ActiveCfg = Debug|x86
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Debug|x86.Build.0 = Debug|x86
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Release|Any CPU.Build.0 = Release|Any CPU
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Release|x64.ActiveCfg = Release|x64
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Release|x64.Build.0 = Release|x64
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Release|x86.ActiveCfg = Release|x86
-		{AEC895BC-C519-49D3-9A94-6B1C71AD6671}.Release|x86.Build.0 = Release|x86
 		{44B10478-D290-43D3-9757-C08F5292FEA5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{44B10478-D290-43D3-9757-C08F5292FEA5}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -575,4 +554,28 @@
 		{71AE8AE6-F1A5-445C-AD31-AFFC83CE2E28}.Release|x86.ActiveCfg = Release|Any CPU
 		{71AE8AE6-F1A5-445C-AD31-AFFC83CE2E28}.Release|x86.Build.0 = Release|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Debug|x64.Build.0 = Debug|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Debug|x86.Build.0 = Debug|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Release|x64.ActiveCfg = Release|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Release|x64.Build.0 = Release|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Release|x86.ActiveCfg = Release|Any CPU
+		{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}.Release|x86.Build.0 = Release|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Debug|x64.Build.0 = Debug|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Debug|x86.Build.0 = Debug|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Release|Any CPU.Build.0 = Release|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Release|x64.ActiveCfg = Release|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Release|x64.Build.0 = Release|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Release|x86.ActiveCfg = Release|Any CPU
+		{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}.Release|x86.Build.0 = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/3040_VectorBasedGP/HeuristicLab.ExtLibs/HeuristicLab.Protobuf/3.6.1/HeuristicLab.Protobuf.csproj
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab.ExtLibs/HeuristicLab.Protobuf/3.6.1/HeuristicLab.Protobuf.csproj	(revision 17468)
+++ /branches/3040_VectorBasedGP/HeuristicLab.ExtLibs/HeuristicLab.Protobuf/3.6.1/HeuristicLab.Protobuf.csproj	(revision 17469)
@@ -61,5 +61,5 @@
   <ItemGroup>
     <PackageReference Include="Google.Protobuf">
-      <Version>3.6.1</Version>
+      <Version>3.11.4</Version>
     </PackageReference>
   </ItemGroup>
Index: /branches/3040_VectorBasedGP/HeuristicLab.MathNet.Numerics/HeuristicLab.MathNet.Numerics.csproj
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab.MathNet.Numerics/HeuristicLab.MathNet.Numerics.csproj	(revision 17468)
+++ /branches/3040_VectorBasedGP/HeuristicLab.MathNet.Numerics/HeuristicLab.MathNet.Numerics.csproj	(revision 17469)
@@ -32,5 +32,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604" />
     <Reference Include="HEAL.Attic, Version=1.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
@@ -55,4 +54,7 @@
   </ItemGroup>
   <ItemGroup>
+    <PackageReference Include="Google.Protobuf">
+      <Version>3.11.4</Version>
+    </PackageReference>
     <PackageReference Include="MathNet.Numerics.Signed">
       <Version>4.9.0</Version>
Index: /branches/3040_VectorBasedGP/HeuristicLab.MathNet.Numerics/VectorTransformer.cs
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab.MathNet.Numerics/VectorTransformer.cs	(revision 17468)
+++ /branches/3040_VectorBasedGP/HeuristicLab.MathNet.Numerics/VectorTransformer.cs	(revision 17469)
@@ -21,14 +21,10 @@
 
 using System;
-using System.Collections.Generic;
-using System.IO;
 using System.Linq;
-using System.Numerics;
-using System.Runtime.Serialization;
-using Google.Protobuf;
 using HEAL.Attic;
 using MathNet.Numerics;
 using MathNet.Numerics.LinearAlgebra;
 using MathNet.Numerics.LinearAlgebra.Storage;
+using Complex = System.Numerics.Complex;
 
 namespace HeuristicLab.MathNet.Numerics {
Index: /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/HeuristicLab.TensorFlowNet.csproj
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/HeuristicLab.TensorFlowNet.csproj	(revision 17469)
+++ /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/HeuristicLab.TensorFlowNet.csproj	(revision 17469)
@@ -0,0 +1,75 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{C2E26343-88C7-4288-938B-EEE7C2ABBDB6}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.TensorFlowNet</RootNamespace>
+    <AssemblyName>HeuristicLab.TensorFlowNet</AssemblyName>
+    <TargetFrameworkVersion>v4.7</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <Deterministic>true</Deterministic>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>$(SolutionDir)\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>$(SolutionDir)\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Data" />
+    <Reference Include="TensorFlow.NET.Signed, Version=0.15.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\bin\TensorFlow.NET.Signed.dll</HintPath>
+    </Reference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Plugin.cs.frame" />
+    <Compile Include="Plugin.cs" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
+      <Project>{94186a6a-5176-4402-ae83-886557b53cca}</Project>
+      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="tensorflow.dll">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+  <PropertyGroup>
+    <PostBuildEvent>
+    </PostBuildEvent>
+  </PropertyGroup>
+</Project>
Index: /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/Plugin.cs.frame
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/Plugin.cs.frame	(revision 17469)
+++ /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/Plugin.cs.frame	(revision 17469)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.TensorFlowNet {
+  [Plugin("HeuristicLab.TensorFlowNet", "HeuristicLab wrapper for TensofFlow.NET nuget package.", "0.15.0.$WCREV$")]
+  [PluginFile("HeuristicLab.TensorFlowNet.dll", PluginFileType.Assembly)]
+  [PluginFile("TensorFlow.NET.Signed.dll", PluginFileType.Assembly)]
+  [PluginFile("tensorflow.dll", PluginFileType.NativeDll)]
+  [PluginFile("System.Numerics.Vectors.dll", PluginFileType.Assembly)]
+  public class Plugin : PluginBase {
+    public Plugin() { }
+  }
+}
Index: /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/Properties/AssemblyInfo.cs.frame	(revision 17469)
+++ /branches/3040_VectorBasedGP/HeuristicLab.TensorFlowNet/Properties/AssemblyInfo.cs.frame	(revision 17469)
@@ -0,0 +1,57 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.TensorFlowNet")]
+[assembly: AssemblyDescription("Provides an interface to TensorFlow.NET nuget package")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible
+// to COM components.  If you need to access a type in this assembly from
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("c2e26343-88c7-4288-938b-eee7c2abbdb6")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("0.15.0.0")]
+[assembly: AssemblyFileVersion("0.15.0.$WCREV$")]
Index: /branches/3040_VectorBasedGP/TensorFlowNet/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3040_VectorBasedGP/TensorFlowNet/Properties/AssemblyInfo.cs	(revision 17469)
+++ /branches/3040_VectorBasedGP/TensorFlowNet/Properties/AssemblyInfo.cs	(revision 17469)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("TensorFlowNet")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("FH-Hagenberg")]
+[assembly: AssemblyProduct("TensorFlowNet")]
+[assembly: AssemblyCopyright("Copyright © FH-Hagenberg 2020")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible
+// to COM components.  If you need to access a type in this assembly from
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("99bf44ae-436e-4b30-9435-e2ba98ee6fb3")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: /branches/3040_VectorBasedGP/TensorFlowNet/TensorFlowNet.csproj
===================================================================
--- /branches/3040_VectorBasedGP/TensorFlowNet/TensorFlowNet.csproj	(revision 17469)
+++ /branches/3040_VectorBasedGP/TensorFlowNet/TensorFlowNet.csproj	(revision 17469)
@@ -0,0 +1,61 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{99BF44AE-436E-4B30-9435-E2BA98EE6FB3}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>TensorFlowNetBuild</RootNamespace>
+    <AssemblyName>TensorFlowNetBuild</AssemblyName>
+    <TargetFrameworkVersion>v4.7</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <Deterministic>true</Deterministic>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>$(SolutionDir)\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>$(SolutionDir)\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <PackageReference Include="ilmerge">
+      <Version>3.0.29</Version>
+    </PackageReference>
+    <PackageReference Include="TensorFlow.NET">
+      <Version>0.15.0</Version>
+    </PackageReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PostBuildEvent>rm $(OutDir)\NumSharp.Lite.pdb
+
+"$(ILMergeConsolePath)" /out:$(Outdir)\TensorFlow.NET.Signed.dll /keyfile:$(SolutionDir)\HeuristicLab\3.3\HeuristicLab.snk $(Outdir)\TensorFlow.NET.dll $(Outdir)\NumSharp.Lite.dll
+
+rm $(OutDir)\NumSharp.Lite.dll
+rm $(OutDir)\TensorFlow.NET.dll</PostBuildEvent>
+  </PropertyGroup>
+  <PropertyGroup>
+    <PreBuildEvent>
+    </PreBuildEvent>
+  </PropertyGroup>
+</Project>
